Redmine - Feature #8016

Drag-and-drop issue (ticket) ordering
2011-03-30 04:57 - James Robertson

Status: New Start date: 2011-03-30
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution:

Description
We would really like to be able to specify an exact order for the resolution of tickets, by draggin and dropping them into order.

Priority should be automatically modified (ie. if an Urgent is moved 'below' a High it should be re-prioritised as High)

Alternatively, optionally the Priority of tickets (eg. Urgent, High, Normal and Low) should be respected (ie. can not drag a High
beneath a Normal or above an Urgent). [Tricky]

New tickets should automatically be ordered at the bottom of their Priority.

Related issues:

Related to Redmine - Feature #9183: Update grouped tickets/issues using drag-... New 2011-09-05
Related to Redmine - Feature #9412: Drag and Drop Issues to Set Parent-Child ... New 2011-10-12
Related to Redmine - Feature #9184: Inline issue editing within list view/cus... New 2011-09-05
Related to Redmine - Feature #22802: Add the posibility to set/change the pos... New

History

#1 - 2011-03-30 10:01 - Etienne Massip

Are you talking about the issue list ?
You can already create a custom query with default sorting of issues by their priority.

#2 - 2011-03-31 05:43 - James Robertson

Thanks Etienne. But | want to be able to order tickets precisely (ie. this High ticket, then this High ticket, then the next High ticket, etc.)

#3 - 2011-03-31 09:10 - Etienne Massip

This is done usually by planning issues, setting start and due dates with "precedes" / "follows" relationships.

Then just sort by start date & due date.

If you change, e.g., an issue due date, then the following issues will have their dates changed too.

#4 - 2011-03-31 21:44 - James Robertson

Thanks for the suggestion, but sounds a bit cumbersome for our scenarios.

Scenario 1:

We have several customer who websites/applications we support. We provide a fixed number of hours of support per month. In some cases there are
many tickets (High, Medium (Normal) and Low) to be worked through over a period of months. The customer would like to be able to specify, and
adjust, an exact order for these tickets.

Scenario 2:

We use Redmine to manage in progress, Agile projects. Our Agile methodology calls for all tickets (Stories) to be ordered and re-ordered as prioritiies

change.

In neither of these cases are start or end dates used. Also, although there is an implied "precedence" between the tickets there is no technical basis
for this. (Besides; setting and changing individual "precedes" and "follows" manually, would be very painful in these cases.)

So, can you accept my need to have a drag-and-drop interface to set an exact order - however that may be manifest technically.

#5 - 2011-05-01 14:31 - Andrew Betts
| agree with James completely, and this affects our workflow in exactly the same way as he has described.

|l implemented a hackish solution to this, but not knowing Ruby | did it in PHP, so it's unlikely to be of any use to anyone. But if anyone wants the
code I'd be happy to share it.

#6 - 2011-05-13 00:17 - Josh McArthur
Hi Andrew,

| am just starting an implementation of this issue now - it could save me quite a bit of time if | could take a look at your code and try and translate it to
Ruby - is it on Github?

#7 - 2011-06-26 01:12 - Maciej Blomberg
Hi,

any progress on this one?

#8 - 2011-06-27 00:34 - Josh McArthur

Not really - | got bogged down in an implementation that would work for our company, vs. something that would work for everyone - and then ran out
of time and had to move onto paid work. If some free time comes up again soon, I'll take another look at it.

The main problem | came across was working out an approach that would work across the multiple views a list of issues has - i.e it can apply across
multiple projects, groupings can be used, etc etc.

#9 - 2011-09-01 05:45 - johnny bravo

This is exactly the functionality we need as well. We spend a lot of time having to separately communicate to our developer exactly which issues to
work on.

#10 - 2011-09-02 00:18 - James Robertson

I've been thinking about this feature some more and realise that a first-cut implementation can actually be a lot simpler than | first described:

New custom field data-type: "sort order" (?)

Store as integer (1 is highest sort order)

Must be unique within (open) tickets of a project

On save, if the sort order integer has changed, any (one) ticket with the same or higher sort order integer are deprecated by one.
Add drag-and-drop to any Issue (ticket) filter that is sorted on a "sort order" field.

new/re-opened tickets are assigned the next highest integer (i.e appear at bottom of list)

Forget about everything else! :-)

Lots more stuff could be added later, but this would be a great first step! What do you think? Any more likely now? :-)

Cheers
James

#11 - 2011-12-25 22:20 - Adam N.

+1

#12 - 2012-02-17 16:58 - Anonymous

+1
#13 - 2012-02-29 16:27 - Romain Vignes
There is a similar mechanism already implemented in the Backlogs plugin

A "Position" field is added to issues that are stored in "User Story" trackers and is updated automatically according to drag&drop operations done in
the "Backlogs" view.

Maybe the source code if this plugin could be of interest for a more generic issue ordering plugin.
#14 - 2012-08-18 09:32 - Bodo Maass

+1

It would be great to have this. Meanwhile I'll take a look at the Backlogs plugin.

#15 - 2012-08-18 15:14 - Bodo Maass

By looking at this | also found the Stuff To Do Plugin. Someone made a patch to allow it to run on Redmine 2.0. It has a nice implementation of the
reordering-by-dragging that is requested here, albeit only for a specific view.
http://www.redminebacklogs.net/
http://www.redmine.org/projects/redmine/wiki/PluginStuffToDo

If this code could be applied to all issue views in Redmine, that would be awesome. Unfortunately | don't know Ruby and Redmine well enough to
attempt this myself.

#16 - 2012-08-18 22:34 - Terence Mill

+1

#17 - 2012-08-19 16:22 - Terence Mill
related https://github.com/GOYELLO/goyello_stuff_to_do/network

#18 - 2012-08-22 09:09 - Nathan Cooper

+1

#19 - 2013-03-01 13:04 - Mathias Fischer

+1

#20 - 2013-05-31 15:04 - Leonardo Salgado

+1

#21 - 2013-06-02 20:51 - Mariusz Dalewski

+1

#22 - 2013-06-17 06:33 - Francewhoa (Francois Carpentier)

+1

#23 - 2013-09-24 14:14 - Randy Syring

+1

#24 - 2013-09-29 10:48 - Daniel Hochman

+1

#25 - 2013-10-23 05:58 - Jethro Yu

+1

#26 - 2013-11-15 23:40 - matthias rebel

+1

#27 - 2013-11-16 03:17 - jonathan ben

+1

#28 - 2013-12-02 14:21 - Stephen Johnson

+1

#29 - 2013-12-19 06:20 - Alexey Acidoff

+2 (me and my boss))

#30 - 2014-02-27 07:28 - Daniel Albuschat

+1, James Robertson's two-year-old attempt seems feasible to me.
Although sorting in one specific view (in a version, for example) would be enough for us. Could be even integrated in the Roadmap.

#31 - 2014-03-26 12:14 - Jacq Jacq

+1

#32 - 2014-04-16 08:35 - Enmos Proje

+1

#33 - 2014-06-11 00:35 - Fedir RYKHTIK

+1 Using such functionality on similar app, very handy
https://github.com/GOYELLO/goyello_stuff_to_do/network

#34 - 2014-06-30 11:59 - Artyom Tuprikov

+1, also | need to grant read-only access to the queue for all users so they could see their position in the queue.

#35 - 2014-08-08 16:24 - Laurent Girard

+1

#36 - 2015-04-19 10:07 - Dev Full stack

+1

Toshi MARUYAMA may be are you add for issues "User vote for issue", and we don't need to write "+1" every time) ?

#37 - 2015-04-27 16:24 - Maicon Strey

+1

#38 - 2015-04-27 17:20 - Steven Prutzman
See also: #9184...

Would like this for the purposes of re-ranking a list. | use a custom field ("Rank") to order my list by priority. It is supremely time consuming to edit
each ticket individually when priorities change.

#39 - 2015-05-01 14:02 - Laurent Dairaine

+1

#40 - 2015-05-26 15:28 - Toshi MARUYAMA

- Related to Feature #9184: Inline issue editing within list view/custom query added

#41 - 2015-09-01 16:51 - ksamak k

+1

#42 - 2015-09-02 12:58 - Fredrik Liljegren

We tried some drag'n'drop plugins, but decided to make our own: https://github.com/Textalk/apilapse

It works directly from browser via redmine api, using the user's API-key. You just define different areas binding to different definitions and a custom
field for priority.

It's poorly documented as of today, since we're the only users (afaik), but works well for our needs.

#43 - 2016-09-06 02:01 - Marius BALTEANU

| added a patch in #22802 that implements the drag-and-drop issue ordering in roadmap and version page.

#44 - 2016-09-06 05:18 - Go MAEDA

- Related to Feature #22802: Add the posibility to set/change the position of an issue in a version added

#45 - 2017-03-16 15:41 - Susana Mielgo

+1

#46 - 2018-09-30 11:58 - Nadav Kavalerchik

+1

#47 - 2019-09-13 23:44 - Frederic Defoy

+1
#48 - 2024-06-07 09:50 - Andreas Lindegger

+1, Is there any solution for this problem in redmine? This is for us the main issue to use redmine in a agile enviroment. We would be very thankfull to
have this possibility.
http://www.redmine.org/users/11192
https://github.com/Textalk/apilapse
